get
https://api.instantpay.in/payments/payout/link/track
Monitor the status of each payout link in real-time for complete transparency and control.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Header Parameters
| Name | Type | Description | Mandatory(M),Optional(O) | Provided by INSTANTPAY(Y/N) |
|---|---|---|---|---|
| X-Ipay-Auth-Code | String | Auth Code -1 (Fixed) | M | Y |
| X-Ipay-Client-Id | String | Unique Client Id | M | Y |
| X-Ipay-Client-Secret | String | Unique Client Secret | M | Y |
| X-Ipay-Endpoint-Ip | String | End Customer IP Address | M | Y |
Request Parameters
| Name | Requirement | Description |
|---|---|---|
| linkId | Mandatory | Generated link id of the payment transactions. |
Sample Request
curl --location --request GET 'https://api.instantpay.in/payments/payout/link/track/XXXXX' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '
'GET /payments/payout/link/track/XXXXX
HTTP/1.1
Host: https://api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json
Response Parameters
| Parameter Name | Type | Description |
|---|---|---|
| statuscode | String | InstantPay StatusCode |
| actcode | String | Action Code |
| status | String | Status message |
| data | String | Response Data(if Present) |
| timestamp | String | Response time(YYYY-MM-DD HH:||:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id(if transaction otherwise it is null) |
| environment | String | Live/Sandbox |
| internalCode | String | it will be null |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "Transaction Successful",
"data": {
"status": "CLAIMED",
"amount": 120.11,
"linkActivity": [
{
"status": "Payout link created",
"activityAt": "2023-12-12 14:51:25"
},
{
"status": "Payout link notification sent to 9876543210 and [email protected]",
"activityAt": "2023-12-12 14:51:26"
},
{
"status": "Beneficiary verification successful",
"activityAt": "2023-12-12 14:51:31",
"orderId": "1000987654321EZFJY",
"accountType": "ACCOUNT",
"accountNumber": "XXXX0001234567890",
"accountIfsc": "DEMO0001234"
},
{
"status": "Link Claimed successfully",
"activityAt": "2023-12-12 14:51:31",
"orderId": "1000987654321EZFJY",
"accountType": "ACCOUNT",
"accountNumber": "XXXX0001234567890",
"accountIfsc": "DEMO0001234"
}
]
},
"timestamp": "2023-12-14 16:42:49",
"ipay_uuid": "h0009ad8a2eb-XXXX-XXXX-XXXX-8cdb732d668c-WbrjDVgsp8oy",
"orderid": null,
"environment": "PRODUCTION",
"internalCode": null
}
